# ipe::SelectTool Class Reference
Ipe canvas

A tool for selecting objects. More...

`#include <ipetool.h>`

Inherits ipe::Tool.

List of all members.

## Classes

- struct SObj

## Public Member Functions

- SelectTool (CanvasBase *canvas, Page *page, int view, double selectDistance, bool nonDestructive)
- virtual void draw (Painter &painter) const
- virtual void mouseButton (int button, bool press)
- virtual void mouseMove ()
- virtual bool key (int code, int modifiers, String text)

## Detailed Description

A tool for selecting objects.

## Constructor & Destructor Documentation

SelectTool::SelectTool | ( | CanvasBase * | canvas,
|  | Page * | page,
|  | int | view,
|  | double | selectDistance,
|  | bool | nonDestructive
| ) |  |

Constructor starts selection.

## Member Function Documentation

void SelectTool::draw | ( | Painter & | painter | ) | const`[virtual]`

Implements ipe::Tool.

void SelectTool::mouseButton | ( | int | button,
|  | bool | press
| ) |  | `[virtual]`

Called when a mouse button is pressed or released on the canvas.

button is 1, 2, or 3, with Shift/Ctrl/Alt/Meta modifiers added in (as defined in CanvasBase::TModifiers. press is true for button-down, and false for button-up.

Reimplemented from ipe::Tool.

void SelectTool::mouseMove | ( |  | ) | `[virtual]`

Called when the mouse is moved on the canvas.

Reimplemented from ipe::Tool.

bool SelectTool::key | ( | int | code,
|  | int | modifiers,
|  | String | text
| ) |  | `[virtual]`

Called when a key is pressed.

modifiers are as defined in CanvasBase::TModifiers.

Reimplemented from ipe::Tool.

The documentation for this class was generated from the following files:

- ipetool.h
- ipetool.cpp